import UIKit


/**
 Переменные и константы.
 
 Переменная в языке swift объявляется с помощью ключевого слова var, перменную можно изменять во время выполнения
 кода. Пример var myName = "Albert"
 
 Константа в языке swift объявляется с помощью ключевого слова let, константу нельзя изменять, если попытаться переопределить
 константу, то это вызовет ошибку. Пример: let mySecondName = "Khasanov"
 
 Именование переменных и констант. Переменные и константы в языке swift принято именовать в сamleCase стиле (верблюжая нотация).
 */

let myName = "Albert"
let mySecondName = "Khasanov"
var myAge = 36


/**
 Комментарии.
 В языке Swift разделяют два типа комментариев - это однострпочные комментарии и многострочные.
 Однострочные комментарии пишутся с помощью удвоенной косой чер- ты (// комментарий) перед текстом комментария,
 в то время как много- строчные обрамляются звездочками и косыми чертами с обеих сторон (/* комментарий */)
 
 Справочные комментарии.
 Справочные комментарии пишутся перед функциями в определенном порядке, который будет показан ниже.
 Ключевые слова:
 parameter <name>:<description>
    Указывает на параметр (аргумент), который необходимо передать в описываемый объект .
    После ключевого слова указывается имя па- раметра (без скобок), и через двоеточие приводится его описание .
 returns: <description>
    Описывает возвращаемое объектом значение .
 throws: <description>
    Описывает возникающие в процессе использования объекта ошиб- ки и их причины .
 author: <description>
    Описывает автора объекта .
bug: <description>
    Описывает баги и недоработки объекта .
 */

/**
 Эта функция sayHello здаровается с пользователем
 — parameter name:String Name of user 4 — returns: Absolutely nothing
 — throws: Error when name is array. 6 — authors: Bilbo Baggins
 — bug: This is very simple function 8
 */


/**
 Типы данных и операции с ними.
 
 */


// Строковый тип
var dragonName: String = "Dragon"

//Целочисленный тип
var number: Int = 34

